iOS 9-support?

Mobile Testing, Android App Testing.
Patrick Hollerbach
Posts: 21
Joined: Thu Jan 02, 2014 4:00 pm

iOS 9-support?

Post by Patrick Hollerbach » Mon Sep 14, 2015 2:26 pm

Hi there,

is a ranorex-version with iOS9-support in progress?

Thanks,
Patrick

User avatar
Support Team
Site Admin
Site Admin
Posts: 11709
Joined: Fri Jul 07, 2006 4:30 pm
Location: Graz, Austria

Re: iOS 9-support?

Post by Support Team » Tue Sep 15, 2015 2:37 pm

Hi Patrick,

Yes, the Ranorex version with iOS 9-support should get released soon after the release of iOS 9.

Regards,
Markus
.
Image

gilbar16
Posts: 109
Joined: Wed Mar 26, 2014 6:23 pm

Re: iOS 9-support?

Post by gilbar16 » Tue Jan 26, 2016 11:51 pm

Ok. iOS9 had been released for awhile now so, when is the new version of Ranorex containing the support for iOS9 coming?

I hope way before iOS10 is released. :)

User avatar
odklizec
Ranorex Guru
Ranorex Guru
Posts: 3930
Joined: Mon Aug 13, 2012 9:54 am
Location: Zilina, Slovakia

Re: iOS 9-support?

Post by odklizec » Wed Jan 27, 2016 8:07 am

Hi,

iOS9 is officially supported since 5.4.2 (released on September 17, 2015). See the release notes...
http://www.ranorex.com/free-trial/relea ... html#c9720
Pavel Kudrys
Ranorex explorer at Descartes Systems

Please add these details to your questions:
  • Ranorex Snapshot. Learn how to create one >here<
  • Ranorex xPath of problematic element(s)
  • Ranorex version
  • OS version
  • HW configuration

Matt_90
Posts: 4
Joined: Tue Apr 07, 2015 2:28 pm

Re: iOS 9-support?

Post by Matt_90 » Wed Jan 27, 2016 2:48 pm

Hi,

I've tried instrumenting a iPad on iOS9 using the RxServiceApp v2.1.1 however when trying to open the App I get the following message:

"Untrusted Enterprise Developer: iPhone Distribution: Ranorex HMbH has not been trusted on this iPad. Until this developer has been trusted, their enterprise apps will not be available for use"

Is anyone else getting this or do you have any advice?

Thanks

Matt

User avatar
odklizec
Ranorex Guru
Ranorex Guru
Posts: 3930
Joined: Mon Aug 13, 2012 9:54 am
Location: Zilina, Slovakia

Re: iOS 9-support?

Post by odklizec » Wed Jan 27, 2016 3:37 pm

Hi,

It's an iOS security thing, not a Ranorex issue. Check this post, where you can find a solution:
http://stackoverflow.com/questions/3072 ... n-to-trust
Pavel Kudrys
Ranorex explorer at Descartes Systems

Please add these details to your questions:
  • Ranorex Snapshot. Learn how to create one >here<
  • Ranorex xPath of problematic element(s)
  • Ranorex version
  • OS version
  • HW configuration

Matt_90
Posts: 4
Joined: Tue Apr 07, 2015 2:28 pm

Re: iOS 9-support?

Post by Matt_90 » Wed Jan 27, 2016 4:23 pm

Thanks that's sorted it

gilbar16
Posts: 109
Joined: Wed Mar 26, 2014 6:23 pm

Re: iOS 9-support?

Post by gilbar16 » Wed Jan 27, 2016 6:46 pm

Hmm...Ok I should keep trying then to install the RxBrowser and the Ranorex Service for version 5.4.4.
Since upgrading the iPad to iOS 9.2.1, I have not been able to install them successfully.
No issue installing them when I was on iOS8.

Thanks.
Gilbert

User avatar
odklizec
Ranorex Guru
Ranorex Guru
Posts: 3930
Joined: Mon Aug 13, 2012 9:54 am
Location: Zilina, Slovakia

Re: App get crashed while tap on element in iOS Instrumented app

Post by odklizec » Wed Jan 27, 2016 7:27 pm

Hi Gilbert,

It would be useful if you could post exact error you are getting. Without exact error and detailed description of your problem, it's almost impossible to tell what's wrong and how to fix it.

BTW, have you read this Ranorex post regarding recent RxBrowser issue?...
http://www.ranorex.com/forum/ranorex-se ... t8946.html
Pavel Kudrys
Ranorex explorer at Descartes Systems

Please add these details to your questions:
  • Ranorex Snapshot. Learn how to create one >here<
  • Ranorex xPath of problematic element(s)
  • Ranorex version
  • OS version
  • HW configuration

gilbar16
Posts: 109
Joined: Wed Mar 26, 2014 6:23 pm

Re: iOS 9-support?

Post by gilbar16 » Mon Feb 01, 2016 6:39 pm

Hi Pavel,

iOS version: 9.2.1
Running on iPad Air 2


Trying to install the RxServiceApp (2.1.1) via the bitly.com/mArchive, I keep getting the error below:
Unable to Download App
"RxServiceApp (2.1.1)" could not be
installed at this time

Done Retry


Installation via Instrumentation wizard, I get a different error.
System.TimeoutException: Process did not finish within the specified timeout of '00:01:00'.
at Ranorex.Core.ProcessRunner.RunShortProcess(Boolean showWindow, TimeSpan timeout, IList`1 appendToPath, String workingDir)
at Ranorex.Core.ProcessRunner.RunShortProcess(Boolean showWindow, TimeSpan timeout, IList`1 appendToPath)
at Ranorex.Plugin.Mobile.Tools.Ios.IosToolRunner.InstallApp(String udid, String archivePath)
at Ranorex.Plugin.Mobile.Tools.Ios.IosToolRunner.DeployBrowser(IIosOptions options, IEnumerable`1 devices, RxAction`2 progressCallback)
at Ranorex.Plugin.Mobile.Tools.Ios.IosToolRunner.Instrument(IOptions options, RxAction`2 progressCallback, RxAction`1 msgCallback)
at Ranorex.Controls.Instrumentation.Workers.IosWorker.Run()
at Ranorex.Controls.Instrumentation.IosResultPage.bgw_DoWork(Object sender, DoWorkEventArgs e)


Also, I don't understand why the error is talking about the IPA when I'm installing the RxService App and RxBrowser. The error message is:
Error occurred
Instrumentation failed...

Please make sure than
- The IPA minimum OS version matches the devices OS version.
- The IPA supports the device architecture (e.g. amv7, am64).
- The IPA is not already instrumented with static Ranorex lib.
- You are not using an IPA backup from app store (encrypted).


------------
Please disregard the issues I mentioned above. After installing Ranorex 5.4.5, RxBrowser and RxService App installed properly on my iPad.



Thanks.
Gilbert